diff --git a/media/webrtc/trunk/build/android/lighttpd_server.py b/media/webrtc/trunk/build/android/lighttpd_server.py
index 11ae794d4a..a0936507db 100755
--- a/media/webrtc/trunk/build/android/lighttpd_server.py
+++ b/media/webrtc/trunk/build/android/lighttpd_server.py
@@ -10,9 +10,10 @@ Usage:
   lighttpd_server PATH_TO_DOC_ROOT
 """
 
+from __future__ import print_function
 import codecs
 import contextlib
-import httplib
+import six.moves.http_client
 import os
 import random
 import shutil
@@ -103,8 +104,8 @@ class LighttpdServer(object):
       self.process.close()
 
       if self.fixed_port or not 'in use' in server_error:
-        print 'Client error:', client_error
-        print 'Server error:', server_error
+        print('Client error:', client_error)
+        print('Server error:', server_error)
         return False
       self.port = self._GetRandomPort()
     return True
@@ -118,10 +119,10 @@ class LighttpdServer(object):
   def _TestServerConnection(self):
     # Wait for server to start
     server_msg = ''
-    for timeout in xrange(1, 5):
+    for timeout in range(1, 5):
       client_error = None
       try:
-        with contextlib.closing(httplib.HTTPConnection(
+        with contextlib.closing(six.moves.http_client.HTTPConnection(
             '127.0.0.1', self.port, timeout=timeout)) as http:
           http.set_debuglevel(timeout > 3)
           http.request('HEAD', '/')
@@ -133,7 +134,7 @@ class LighttpdServer(object):
           client_error = ('Bad response: %s %s version %s\n  ' %
                           (r.status, r.reason, r.version) +
                           '\n  '.join([': '.join(h) for h in r.getheaders()]))
-      except (httplib.HTTPException, socket.error) as client_error:
+      except (six.moves.http_client.HTTPException, socket.error) as client_error:
         pass  # Probably too quick connecting: try again
       # Check for server startup error messages
       ix = self.process.expect([pexpect.TIMEOUT, pexpect.EOF, '.+'],
@@ -241,10 +242,10 @@ def main(argv):
   server = LighttpdServer(*argv[1:])
   try:
     if server.StartupHttpServer():
-      raw_input('Server running at http://127.0.0.1:%s -'
+      input('Server running at http://127.0.0.1:%s -'
                 ' press Enter to exit it.' % server.port)
     else:
-      print 'Server exit code:', server.process.exitstatus
+      print('Server exit code:', server.process.exitstatus)
   finally:
     server.ShutdownHttpServer()
 
diff --git a/media/webrtc/trunk/build/android/pylib/android_commands.py b/media/webrtc/trunk/build/android/pylib/android_commands.py
index 8a1562caad..f5d100050a 100644
--- a/media/webrtc/trunk/build/android/pylib/android_commands.py
+++ b/media/webrtc/trunk/build/android/pylib/android_commands.py
@@ -7,6 +7,7 @@
 Assumes adb binary is currently on system path.
 """
 
+from __future__ import print_function
 import collections
 import datetime
 import logging
@@ -18,7 +19,7 @@ import sys
 import tempfile
 import time
 
-import io_stats_parser
+from . import io_stats_parser
 from pylib import pexpect
 
 CHROME_SRC = os.path.join(
@@ -27,7 +28,7 @@ CHROME_SRC = os.path.join(
 sys.path.append(os.path.join(CHROME_SRC, 'third_party', 'android_testrunner'))
 import adb_interface
 
-import cmd_helper
+from . import cmd_helper
 import errors  #  is under ../../../third_party/android_testrunner/errors.py
 
 
@@ -347,7 +348,7 @@ class AndroidCommands(object):
         if 'Success' in install_status:
           return install_status
       except errors.WaitForResponseTimedOutError:
-        print '@@@STEP_WARNINGS@@@'
+        print('@@@STEP_WARNINGS@@@')
         logging.info('Timeout on installing %s' % apk_path)
 
       if reboots_left <= 0:
@@ -587,7 +588,7 @@ class AndroidCommands(object):
       if not os.path.exists(md5sum_path):
         md5sum_path = '%s/out/Release/md5sum_bin' % (CHROME_SRC)
         if not os.path.exists(md5sum_path):
-          print >> sys.stderr, 'Please build md5sum.'
+          print('Please build md5sum.', file=sys.stderr)
           sys.exit(1)
       command = 'push %s %s' % (md5sum_path, MD5SUM_DEVICE_PATH)
       assert _HasAdbPushSucceeded(self._adb.SendCommand(command))
@@ -671,7 +672,7 @@ class AndroidCommands(object):
     temp_props_file = tempfile.NamedTemporaryFile()
     properties = ''
     if self._adb.Pull(LOCAL_PROPERTIES_PATH, temp_props_file.name):
-      properties = file(temp_props_file.name).read()
+      properties = open(temp_props_file.name).read()
     re_search = re.compile(r'^\s*' + re.escape(JAVA_ASSERT_PROPERTY) +
                            r'\s*=\s*all\s*$', re.MULTILINE)
     if enable != bool(re.search(re_search, properties)):
@@ -681,7 +682,7 @@ class AndroidCommands(object):
       if enable:
         properties += '\n%s=all\n' % JAVA_ASSERT_PROPERTY
 
-      file(temp_props_file.name, 'w').write(properties)
+      open(temp_props_file.name, 'w').write(properties)
       self._adb.Push(temp_props_file.name, LOCAL_PROPERTIES_PATH)
 
     # Next, check the current runtime value is what we need, and
diff --git a/media/webrtc/trunk/build/android/pylib/apk_info.py b/media/webrtc/trunk/build/android/pylib/apk_info.py
index 7e8867570b..bfdbc5e73f 100644
--- a/media/webrtc/trunk/build/android/pylib/apk_info.py
+++ b/media/webrtc/trunk/build/android/pylib/apk_info.py
@@ -8,7 +8,7 @@ import collections
 import os
 import re
 
-import cmd_helper
+from . import cmd_helper
 
 
 class ApkInfo(object):
@@ -129,7 +129,7 @@ class ApkInfo(object):
 
   def GetAnnotatedTests(self, annotation_filter_list):
     """Returns a list of all tests that match the given annotation filters."""
-    return [test for test, annotations in self._GetAnnotationMap().iteritems()
+    return [test for test, annotations in self._GetAnnotationMap(.items())
             if self._IsTestMethod(test) and self._AnnotationsMatchFilters(
                 annotation_filter_list, annotations)]
 
diff --git a/media/webrtc/trunk/build/android/pylib/base_test_runner.py b/media/webrtc/trunk/build/android/pylib/base_test_runner.py
index 619bc6edf0..10ed5f0904 100644
--- a/media/webrtc/trunk/build/android/pylib/base_test_runner.py
+++ b/media/webrtc/trunk/build/android/pylib/base_test_runner.py
@@ -3,21 +3,21 @@
 # found in the LICENSE file.
 
 import contextlib
-import httplib
+import six.moves.http_client
 import logging
 import os
 import tempfile
 import time
 
-import android_commands
-import constants
-from chrome_test_server_spawner import SpawningServer
-import constants
-from flag_changer import FlagChanger
-from forwarder import Forwarder
+from . import android_commands
+from . import constants
+from .chrome_test_server_spawner import SpawningServer
+from . import constants
+from .flag_changer import FlagChanger
+from .forwarder import Forwarder
 import lighttpd_server
-import ports
-from valgrind_tools import CreateTool
+from . import ports
+from .valgrind_tools import CreateTool
 
 
 # A file on device to store ports of net test server. The format of the file is
@@ -181,7 +181,7 @@ class BaseTestRunner(object):
     server_ready = False
     error_msgs = []
     # Try 3 times to launch test spawner server.
-    for i in xrange(0, 3):
+    for i in range(0, 3):
       # Do not allocate port for test server here. We will allocate
       # different port for individual test in TestServerThread.
       self.test_server_spawner_port = ports.AllocateTestServerPort()
diff --git a/media/webrtc/trunk/build/android/pylib/base_test_sharder.py b/media/webrtc/trunk/build/android/pylib/base_test_sharder.py
index 48206c202c..a818c1f753 100644
--- a/media/webrtc/trunk/build/android/pylib/base_test_sharder.py
+++ b/media/webrtc/trunk/build/android/pylib/base_test_sharder.py
@@ -6,7 +6,7 @@
 import logging
 import multiprocessing
 
-from test_result import TestResults
+from .test_result import TestResults
 
 
 def _ShardedTestRunnable(test):
@@ -78,7 +78,7 @@ class BaseTestSharder(object):
     logging.warning('Look for the "Final result" banner in the end.')
     logging.warning('*' * 80)
     final_results = TestResults()
-    for retry in xrange(self.retries):
+    for retry in range(self.retries):
       logging.warning('Try %d of %d', retry + 1, self.retries)
       self.SetupSharding(self.tests)
       test_runners = []
diff --git a/media/webrtc/trunk/build/android/pylib/buildbot_report.py b/media/webrtc/trunk/build/android/pylib/buildbot_report.py
index fe3fcd638e..dc68171b29 100644
--- a/media/webrtc/trunk/build/android/pylib/buildbot_report.py
+++ b/media/webrtc/trunk/build/android/pylib/buildbot_report.py
@@ -4,6 +4,7 @@
 
 """Helper functions to print buildbot messages."""
 
+from __future__ import print_function
 def PrintLink(label, url):
   """Adds a link with name |label| linking to |url| to current buildbot step.
 
@@ -11,7 +12,7 @@ def PrintLink(label, url):
     label: A string with the name of the label.
     url: A string of the URL.
   """
-  print '@@@STEP_LINK@%s@%s@@@' % (label, url)
+  print('@@@STEP_LINK@%s@%s@@@' % (label, url))
 
 
 def PrintMsg(msg):
@@ -20,7 +21,7 @@ def PrintMsg(msg):
   Args:
     msg: String to be appended.
   """
-  print '@@@STEP_TEXT@%s@@@' % msg
+  print('@@@STEP_TEXT@%s@@@' % msg)
 
 
 def PrintSummaryText(msg):
@@ -29,18 +30,18 @@ def PrintSummaryText(msg):
   Args:
     msg: String to be appended.
   """
-  print '@@@STEP_SUMMARY_TEXT@%s@@@' % msg
+  print('@@@STEP_SUMMARY_TEXT@%s@@@' % msg)
 
 
 def PrintError():
   """Marks the current step as failed."""
-  print '@@@STEP_FAILURE@@@'
+  print('@@@STEP_FAILURE@@@')
 
 
 def PrintWarning():
   """Marks the current step with a warning."""
-  print '@@@STEP_WARNINGS@@@'
+  print('@@@STEP_WARNINGS@@@')
 
 
 def PrintNamedStep(step):
-  print '@@@BUILD_STEP %s@@@' % step
+  print('@@@BUILD_STEP %s@@@' % step)
diff --git a/media/webrtc/trunk/build/android/pylib/chrome_test_server_spawner.py b/media/webrtc/trunk/build/android/pylib/chrome_test_server_spawner.py
index 512a6091db..e46acf4d88 100644
--- a/media/webrtc/trunk/build/android/pylib/chrome_test_server_spawner.py
+++ b/media/webrtc/trunk/build/android/pylib/chrome_test_server_spawner.py
@@ -8,7 +8,7 @@ It's used to accept requests from the device to spawn and kill instances of the
 chrome test server on the host.
 """
 
-import BaseHTTPServer
+import six.moves.BaseHTTPServer
 import json
 import logging
 import os
@@ -17,11 +17,11 @@ import struct
 import subprocess
 import threading
 import time
-import urlparse
+import six.moves.urllib.parse
 
-import constants
-from forwarder import Forwarder
-import ports
+from . import constants
+from .forwarder import Forwarder
+from . import ports
 
 
 # Path that are needed to import necessary modules when running testserver.py.
@@ -147,7 +147,7 @@ class TestServerThread(threading.Thread):
       return False
     logging.info('Got port json data: %s', port_json)
     port_json = json.loads(port_json)
-    if port_json.has_key('port') and isinstance(port_json['port'], int):
+    if 'port' in port_json and isinstance(port_json['port'], int):
       self.host_port = port_json['port']
       return _CheckPortStatus(self.host_port, True)
     logging.error('Failed to get port information from the server data.')
@@ -177,29 +177,29 @@ class TestServerThread(threading.Thread):
       data_dir = os.path.join(constants.CHROME_DIR, data_dir)
     self.command_line.append('--data-dir=%s' % data_dir)
     # The following arguments are optional depending on the individual test.
-    if self.arguments.has_key('log-to-console'):
+    if 'log-to-console' in self.arguments:
       self.command_line.append('--log-to-console')
-    if self.arguments.has_key('auth-token'):
+    if 'auth-token' in self.arguments:
       self.command_line.append('--auth-token=%s' % self.arguments['auth-token'])
-    if self.arguments.has_key('https'):
+    if 'https' in self.arguments:
       self.command_line.append('--https')
-      if self.arguments.has_key('cert-and-key-file'):
+      if 'cert-and-key-file' in self.arguments:
         self.command_line.append('--cert-and-key-file=%s' % os.path.join(
             constants.CHROME_DIR, self.arguments['cert-and-key-file']))
-      if self.arguments.has_key('ocsp'):
+      if 'ocsp' in self.arguments:
         self.command_line.append('--ocsp=%s' % self.arguments['ocsp'])
-      if self.arguments.has_key('https-record-resume'):
+      if 'https-record-resume' in self.arguments:
         self.command_line.append('--https-record-resume')
-      if self.arguments.has_key('ssl-client-auth'):
+      if 'ssl-client-auth' in self.arguments:
         self.command_line.append('--ssl-client-auth')
-      if self.arguments.has_key('tls-intolerant'):
+      if 'tls-intolerant' in self.arguments:
         self.command_line.append('--tls-intolerant=%s' %
                                  self.arguments['tls-intolerant'])
-      if self.arguments.has_key('ssl-client-ca'):
+      if 'ssl-client-ca' in self.arguments:
         for ca in self.arguments['ssl-client-ca']:
           self.command_line.append('--ssl-client-ca=%s' %
                                    os.path.join(constants.CHROME_DIR, ca))
-      if self.arguments.has_key('ssl-bulk-cipher'):
+      if 'ssl-bulk-cipher' in self.arguments:
         for bulk_cipher in self.arguments['ssl-bulk-cipher']:
           self.command_line.append('--ssl-bulk-cipher=%s' % bulk_cipher)
 
@@ -261,7 +261,7 @@ class TestServerThread(threading.Thread):
     self.wait_event.wait()
 
 
-class SpawningServerRequestHandler(BaseHTTPServer.BaseHTTPRequestHandler):
+class SpawningServerRequestHandler(six.moves.BaseHTTPServer.BaseHTTPRequestHandler):
   """A handler used to process http GET/POST request."""
 
   def _SendResponse(self, response_code, response_reason, additional_headers,
@@ -344,7 +344,7 @@ class SpawningServerRequestHandler(BaseHTTPServer.BaseHTTPRequestHandler):
     self.server.test_server_instance = None
 
   def do_POST(self):
-    parsed_path = urlparse.urlparse(self.path)
+    parsed_path = six.moves.urllib.parse.urlparse(self.path)
     action = parsed_path.path
     logging.info('Action for POST method is: %s.', action)
     if action == '/start':
@@ -354,9 +354,9 @@ class SpawningServerRequestHandler(BaseHTTPServer.BaseHTTPRequestHandler):
       logging.info('Encounter unknown request: %s.', action)
 
   def do_GET(self):
-    parsed_path = urlparse.urlparse(self.path)
+    parsed_path = six.moves.urllib.parse.urlparse(self.path)
     action = parsed_path.path
-    params = urlparse.parse_qs(parsed_path.query, keep_blank_values=1)
+    params = six.moves.urllib.parse.parse_qs(parsed_path.query, keep_blank_values=1)
     logging.info('Action for GET method is: %s.', action)
     for param in params:
       logging.info('%s=%s', param, params[param][0])
@@ -378,7 +378,7 @@ class SpawningServer(object):
 
   def __init__(self, test_server_spawner_port, adb, tool, build_type):
     logging.info('Creating new spawner on port: %d.', test_server_spawner_port)
-    self.server = BaseHTTPServer.HTTPServer(('', test_server_spawner_port),
+    self.server = six.moves.BaseHTTPServer.HTTPServer(('', test_server_spawner_port),
                                             SpawningServerRequestHandler)
     self.port = test_server_spawner_port
     self.server.adb = adb
diff --git a/media/webrtc/trunk/build/android/pylib/debug_info.py b/media/webrtc/trunk/build/android/pylib/debug_info.py
index 6f0f55a33f..856087f7dd 100644
--- a/media/webrtc/trunk/build/android/pylib/debug_info.py
+++ b/media/webrtc/trunk/build/android/pylib/debug_info.py
@@ -13,7 +13,7 @@ import string
 import subprocess
 import tempfile
 
-import cmd_helper
+from . import cmd_helper
 
 
 TOMBSTONE_DIR = '/data/tombstones/'
diff --git a/media/webrtc/trunk/build/android/pylib/device_stats_monitor.py b/media/webrtc/trunk/build/android/pylib/device_stats_monitor.py
index 8be4efae59..bb6700f8a6 100644
--- a/media/webrtc/trunk/build/android/pylib/device_stats_monitor.py
+++ b/media/webrtc/trunk/build/android/pylib/device_stats_monitor.py
@@ -9,10 +9,10 @@ import json
 import os
 import subprocess
 import sys
-import urllib
+import six.moves.urllib.request, six.moves.urllib.parse, six.moves.urllib.error
 
-import constants
-import io_stats_parser
+from . import constants
+from . import io_stats_parser
 
 
 class DeviceStatsMonitor(object):
@@ -95,7 +95,7 @@ class DeviceStatsMonitor(object):
     with open(output_path, 'w') as f:
       f.write('display(%d, %s, %s);' % (self._hz, json.dumps(results), units))
     return 'file://%s?results=file://%s' % (
-        DeviceStatsMonitor.RESULT_VIEWER_PATH, urllib.quote(output_path))
+        DeviceStatsMonitor.RESULT_VIEWER_PATH, six.moves.urllib.parse.quote(output_path))
 
 
   @staticmethod
diff --git a/media/webrtc/trunk/build/android/pylib/fake_dns.py b/media/webrtc/trunk/build/android/pylib/fake_dns.py
index 1c64490045..df9afb8e99 100644
--- a/media/webrtc/trunk/build/android/pylib/fake_dns.py
+++ b/media/webrtc/trunk/build/android/pylib/fake_dns.py
@@ -2,8 +2,8 @@
 # Use of this source code is governed by a BSD-style license that can be
 # found in the LICENSE file.
 
-import android_commands
-import constants
+from . import android_commands
+from . import constants
 import logging
 import os
 import subprocess
diff --git a/media/webrtc/trunk/build/android/pylib/flag_changer.py b/media/webrtc/trunk/build/android/pylib/flag_changer.py
index 6210561568..1fd425fedf 100644
--- a/media/webrtc/trunk/build/android/pylib/flag_changer.py
+++ b/media/webrtc/trunk/build/android/pylib/flag_changer.py
@@ -2,7 +2,8 @@
 # Use of this source code is governed by a BSD-style license that can be
 # found in the LICENSE file.
 
-import constants
+from __future__ import print_function
+from . import constants
 import traceback
 import warnings
 
@@ -86,7 +87,7 @@ class FlagChanger(object):
 
   def _UpdateCommandLineFile(self):
     """Writes out the command line to the file, or removes it if empty."""
-    print "Current flags: ", self._current_flags
+    print("Current flags: ", self._current_flags)
 
     if self._current_flags:
       self._android_cmd.SetFileContents(CHROME_COMMAND_FILE,
diff --git a/media/webrtc/trunk/build/android/pylib/forwarder.py b/media/webrtc/trunk/build/android/pylib/forwarder.py
index bc41db3ff3..d271fb464d 100644
--- a/media/webrtc/trunk/build/android/pylib/forwarder.py
+++ b/media/webrtc/trunk/build/android/pylib/forwarder.py
@@ -8,10 +8,10 @@ import re
 import sys
 import time
 
-import android_commands
-import cmd_helper
-import constants
-import ports
+from . import android_commands
+from . import cmd_helper
+from . import constants
+from . import ports
 
 from pylib import pexpect
 
diff --git a/media/webrtc/trunk/build/android/pylib/java_unittest_utils.py b/media/webrtc/trunk/build/android/pylib/java_unittest_utils.py
index b5446dcf95..e11aa879fe 100644
--- a/media/webrtc/trunk/build/android/pylib/java_unittest_utils.py
+++ b/media/webrtc/trunk/build/android/pylib/java_unittest_utils.py
@@ -6,8 +6,8 @@
 
 import os
 
-import android_commands
-from run_java_tests import TestRunner
+from . import android_commands
+from .run_java_tests import TestRunner
 
 
 def _GetPackageName(fname):
diff --git a/media/webrtc/trunk/build/android/pylib/json_perf_parser.py b/media/webrtc/trunk/build/android/pylib/json_perf_parser.py
index 1a8e617539..7e105877f0 100644
--- a/media/webrtc/trunk/build/android/pylib/json_perf_parser.py
+++ b/media/webrtc/trunk/build/android/pylib/json_perf_parser.py
@@ -65,7 +65,7 @@ def GetAverageRunInfo(json_data, name):
 
   def EntryFilter(entry):
     return entry['cat'] == 'Java' and entry['name'] == name
-  filtered_entries = filter(EntryFilter, json_data)
+  filtered_entries = list(filter(EntryFilter, json_data))
 
   result = {}
 
diff --git a/media/webrtc/trunk/build/android/pylib/perf_tests_helper.py b/media/webrtc/trunk/build/android/pylib/perf_tests_helper.py
index c0a3ee413d..e642ba16ff 100644
--- a/media/webrtc/trunk/build/android/pylib/perf_tests_helper.py
+++ b/media/webrtc/trunk/build/android/pylib/perf_tests_helper.py
@@ -2,9 +2,10 @@
 # Use of this source code is governed by a BSD-style license that can be
 # found in the LICENSE file.
 
+from __future__ import print_function
 import re
 
-import android_commands
+from . import android_commands
 import math
 
 # Valid values of result type.
@@ -75,7 +76,7 @@ def PrintPerfResult(measurement, trace, values, units, result_type='default',
   if sd:
     output += '\nSd  %s: %f%s' % (measurement, sd, units)
   if print_to_stdout:
-    print output
+    print(output)
   return output
 
 
diff --git a/media/webrtc/trunk/build/android/pylib/ports.py b/media/webrtc/trunk/build/android/pylib/ports.py
index e9b6b901e0..1284c924ba 100644
--- a/media/webrtc/trunk/build/android/pylib/ports.py
+++ b/media/webrtc/trunk/build/android/pylib/ports.py
@@ -6,15 +6,15 @@
 
 import contextlib
 import fcntl
-import httplib
+import six.moves.http_client
 import logging
 import os
 import re
 import socket
 import traceback
 
-import cmd_helper
-import constants
+from . import cmd_helper
+from . import constants
 
 
 #The following two methods are used to allocate the port source for various
@@ -143,10 +143,10 @@ def IsHttpServerConnectable(host, port, tries=3, command='GET', path='/',
     message the server returns when connect status is false.
   """
   assert tries >= 1
-  for i in xrange(0, tries):
+  for i in range(0, tries):
     client_error = None
     try:
-      with contextlib.closing(httplib.HTTPConnection(
+      with contextlib.closing(six.moves.http_client.HTTPConnection(
           host, port, timeout=timeout)) as http:
         # Output some debug information when we have tried more than 2 times.
         http.set_debuglevel(i >= 2)
@@ -158,7 +158,7 @@ def IsHttpServerConnectable(host, port, tries=3, command='GET', path='/',
         client_error = ('Bad response: %s %s version %s\n  ' %
                         (r.status, r.reason, r.version) +
                         '\n  '.join([': '.join(h) for h in r.getheaders()]))
-    except (httplib.HTTPException, socket.error) as e:
+    except (six.moves.http_client.HTTPException, socket.error) as e:
       # Probably too quick connecting: try again.
       exception_error_msgs = traceback.format_exception_only(type(e), e)
       if exception_error_msgs:
diff --git a/media/webrtc/trunk/build/android/pylib/python_test_base.py b/media/webrtc/trunk/build/android/pylib/python_test_base.py
index 3517cdda83..3546fe98d4 100644
--- a/media/webrtc/trunk/build/android/pylib/python_test_base.py
+++ b/media/webrtc/trunk/build/android/pylib/python_test_base.py
@@ -23,10 +23,10 @@ import logging
 import os
 import time
 
-import android_commands
-import apk_info
-from run_java_tests import TestRunner
-from test_result import SingleTestResult, TestResults
+from . import android_commands
+from . import apk_info
+from .run_java_tests import TestRunner
+from .test_result import SingleTestResult, TestResults
 
 
 # aka the parent of com.google.android
diff --git a/media/webrtc/trunk/build/android/pylib/python_test_caller.py b/media/webrtc/trunk/build/android/pylib/python_test_caller.py
index 882b892997..d1da3a2f2a 100644
--- a/media/webrtc/trunk/build/android/pylib/python_test_caller.py
+++ b/media/webrtc/trunk/build/android/pylib/python_test_caller.py
@@ -9,7 +9,7 @@ import logging
 import sys
 import time
 
-from test_result import TestResults
+from .test_result import TestResults
 
 
 def CallPythonTest(test, options):
diff --git a/media/webrtc/trunk/build/android/pylib/python_test_sharder.py b/media/webrtc/trunk/build/android/pylib/python_test_sharder.py
index e27096d788..eca12de54d 100644
--- a/media/webrtc/trunk/build/android/pylib/python_test_sharder.py
+++ b/media/webrtc/trunk/build/android/pylib/python_test_sharder.py
@@ -8,10 +8,10 @@ import copy
 import logging
 import multiprocessing
 
-from python_test_caller import CallPythonTest
-from run_java_tests import FatalTestException
-import sharded_tests_queue
-from test_result import TestResults
+from .python_test_caller import CallPythonTest
+from .run_java_tests import FatalTestException
+from . import sharded_tests_queue
+from .test_result import TestResults
 
 
 def SetTestsContainer(tests_container):
@@ -123,7 +123,7 @@ class PythonTestSharder(object):
     all_passed = []
     test_results = TestResults()
     tests_to_run = self.tests
-    for retry in xrange(self.retries):
+    for retry in range(self.retries):
       logging.warning('Try %d of %d', retry + 1, self.retries)
       self._SetupSharding(self.tests)
       test_runners = self._MakeTestRunners(self.attached_devices)
@@ -197,7 +197,7 @@ class PythonTestSharder(object):
       A list of test objects which correspond to test names found in
       failed_tests, or an empty list if there is no correspondence.
     """
-    failed_test_names = map(lambda t: t.test_name, failed_tests)
+    failed_test_names = [t.test_name for t in failed_tests]
     tests_to_retry = [t for t in available_tests
                       if t.qualified_name in failed_test_names]
     return tests_to_retry
diff --git a/media/webrtc/trunk/build/android/pylib/run_java_tests.py b/media/webrtc/trunk/build/android/pylib/run_java_tests.py
index fc0a13fd81..77e01858bd 100644
--- a/media/webrtc/trunk/build/android/pylib/run_java_tests.py
+++ b/media/webrtc/trunk/build/android/pylib/run_java_tests.py
@@ -12,19 +12,19 @@ import shutil
 import sys
 import time
 
-import android_commands
-import apk_info
-from base_test_runner import BaseTestRunner
-from base_test_sharder import BaseTestSharder, SetTestsContainer
-import cmd_helper
-import constants
+from . import android_commands
+from . import apk_info
+from .base_test_runner import BaseTestRunner
+from .base_test_sharder import BaseTestSharder, SetTestsContainer
+from . import cmd_helper
+from . import constants
 import errors
-from forwarder import Forwarder
-from json_perf_parser import GetAverageRunInfoFromJSONString
-from perf_tests_helper import PrintPerfResult
-import sharded_tests_queue
-from test_result import SingleTestResult, TestResults
-import valgrind_tools
+from .forwarder import Forwarder
+from .json_perf_parser import GetAverageRunInfoFromJSONString
+from .perf_tests_helper import PrintPerfResult
+from . import sharded_tests_queue
+from .test_result import SingleTestResult, TestResults
+from . import valgrind_tools
 
 _PERF_TEST_ANNOTATION = 'PerfTest'
 
@@ -477,7 +477,7 @@ class TestRunner(BaseTestRunner):
       # See ../../third_party/android/testrunner/adb_interface.py
       except (errors.WaitForResponseTimedOutError,
               errors.DeviceUnresponsiveError,
-              errors.InstrumentationError), e:
+              errors.InstrumentationError) as e:
         if start_date_ms:
           duration_ms = int(time.time()) * 1000 - start_date_ms
         else:
diff --git a/media/webrtc/trunk/build/android/pylib/run_python_tests.py b/media/webrtc/trunk/build/android/pylib/run_python_tests.py
index 7d39f48295..f628c02ea3 100644
--- a/media/webrtc/trunk/build/android/pylib/run_python_tests.py
+++ b/media/webrtc/trunk/build/android/pylib/run_python_tests.py
@@ -9,16 +9,16 @@ import os
 import sys
 import types
 
-import android_commands
-import apk_info
-import constants
-import python_test_base
-from python_test_caller import CallPythonTest
-from python_test_sharder import PythonTestSharder
-import run_java_tests
-from run_java_tests import FatalTestException
-from test_info_collection import TestInfoCollection
-from test_result import TestResults
+from . import android_commands
+from . import apk_info
+from . import constants
+from . import python_test_base
+from .python_test_caller import CallPythonTest
+from .python_test_sharder import PythonTestSharder
+from . import run_java_tests
+from .run_java_tests import FatalTestException
+from .test_info_collection import TestInfoCollection
+from .test_result import TestResults
 
 
 def _GetPythonFiles(root, files):
@@ -155,7 +155,7 @@ def _GetTestsFromClass(test_class):
   """
   test_names = [m for m in dir(test_class)
                 if _IsTestMethod(m, test_class)]
-  return map(test_class, test_names)
+  return list(map(test_class, test_names))
 
 
 def _GetTestClassesFromModule(test_module):
@@ -168,7 +168,7 @@ def _GetTestClassesFromModule(test_module):
 
 
 def _IsTestClass(test_class):
-  return (type(test_class) is types.TypeType and
+  return (type(test_class) is type and
           issubclass(test_class, python_test_base.PythonTestBase) and
           test_class is not python_test_base.PythonTestBase)
 
diff --git a/media/webrtc/trunk/build/android/pylib/run_tests_helper.py b/media/webrtc/trunk/build/android/pylib/run_tests_helper.py
index 15e5d5381b..edb37ea656 100644
--- a/media/webrtc/trunk/build/android/pylib/run_tests_helper.py
+++ b/media/webrtc/trunk/build/android/pylib/run_tests_helper.py
@@ -12,7 +12,7 @@ def GetExpectations(file_name):
   """Returns a list of test names in the |file_name| test expectations file."""
   if not file_name or not os.path.exists(file_name):
     return []
-  return [x for x in [x.strip() for x in file(file_name).readlines()]
+  return [x for x in [x.strip() for x in open(file_name).readlines()]
           if x and x[0] != '#']
 
 
diff --git a/media/webrtc/trunk/build/android/pylib/sharded_tests_queue.py b/media/webrtc/trunk/build/android/pylib/sharded_tests_queue.py
index 9e28e2c484..8aff1698bc 100644
--- a/media/webrtc/trunk/build/android/pylib/sharded_tests_queue.py
+++ b/media/webrtc/trunk/build/android/pylib/sharded_tests_queue.py
@@ -27,7 +27,7 @@ class ShardedTestsQueue(object):
     self.tests_queue = multiprocessing.Queue()
     for test in tests:
       self.tests_queue.put(test)
-    for _ in xrange(self.num_devices):
+    for _ in range(self.num_devices):
       self.tests_queue.put(ShardedTestsQueue._STOP_SENTINEL)
 
   def __iter__(self):
diff --git a/media/webrtc/trunk/build/android/pylib/single_test_runner.py b/media/webrtc/trunk/build/android/pylib/single_test_runner.py
index a680c68f16..fda7d3328d 100644
--- a/media/webrtc/trunk/build/android/pylib/single_test_runner.py
+++ b/media/webrtc/trunk/build/android/pylib/single_test_runner.py
@@ -7,14 +7,14 @@ import logging
 import os
 import sys
 
-from base_test_runner import BaseTestRunner
-import debug_info
-import constants
-import perf_tests_helper
-import run_tests_helper
-from test_package_apk import TestPackageApk
-from test_package_executable import TestPackageExecutable
-from test_result import TestResults
+from .base_test_runner import BaseTestRunner
+from . import debug_info
+from . import constants
+from . import perf_tests_helper
+from . import run_tests_helper
+from .test_package_apk import TestPackageApk
+from .test_package_executable import TestPackageExecutable
+from .test_result import TestResults
 
 
 class SingleTestRunner(BaseTestRunner):
@@ -127,7 +127,7 @@ class SingleTestRunner(BaseTestRunner):
         os.unlink(filter_file_name)
       return
 
-    filter_file = file(filter_file_name, 'w')
+    filter_file = open(filter_file_name, 'w')
     if self._running_on_emulator:
       filter_file.write('# Addtional list of suppressions from emulator\n')
     else:
diff --git a/media/webrtc/trunk/build/android/pylib/test_info_collection.py b/media/webrtc/trunk/build/android/pylib/test_info_collection.py
index fc4e806941..315b4755fc 100644
--- a/media/webrtc/trunk/build/android/pylib/test_info_collection.py
+++ b/media/webrtc/trunk/build/android/pylib/test_info_collection.py
@@ -7,7 +7,7 @@
 import logging
 import os
 
-import tests_annotations
+from . import tests_annotations
 
 
 class TestInfo(object):
